Package com.smartgwt.client.types

# Enum AutoScrollDataApproach

java.lang.Object
java.lang.Enum<AutoScrollDataApproach>
com.smartgwt.client.types.AutoScrollDataApproach

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<AutoScrollDataApproach>`, `Constable`

public enum AutoScrollDataApproach extends Enum<AutoScrollDataApproach> implements ValueEnum
What should drive the automatic expansion of the chart?

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTH`
  Expand the chart to make room for both labels and clusters (whichever requires more space).
  `CLUSTERS`
  Expand the chart to accommodate `FacetChart.barMargin`, `FacetChart.minBarThickness`, and `FacetChart.getMinClusterSize()`.
  `LABELS`
  Expand the chart to make room for data label facet value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static AutoScrollDataApproach`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AutoScrollDataApproach[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LABELS

    public static final AutoScrollDataApproach LABELS
    Expand the chart to make room for data label facet value. Unused in Bar-type charts

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "labels".

  - ### CLUSTERS

    public static final AutoScrollDataApproach CLUSTERS
    Expand the chart to accommodate `FacetChart.barMargin`, `FacetChart.minBarThickness`, and `FacetChart.getMinClusterSize()`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "clusters".

  - ### BOTH

    public static final AutoScrollDataApproach BOTH
    Expand the chart to make room for both labels and clusters (whichever requires more space).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "both".

- ## Method Details

  - ### values

    public static AutoScrollDataApproach[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AutoScrollDataApproach valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`